

OBJECT "SOLDUMMY"
BEGIN
	CUBE 1380,8370,400 1390,8966,500
	BEGIN
		CONTROL OFF
		player.STOP
		WAIT 48
		NOWAIT PLAYER.PIVOTOBJECT SOLDOOR
		SOLDOOR.STATE CLOSING
		SOLDOOR.STATE CLOSED
		WAIT 48
		
		NOWAIT PLAY SOLOFFROAR
		PLAYER.PIVOTOBJECT SOLIFUGE
		WAIT 48
		SCROLLTO SOLIFUGE
		WAIT 48
		SOLIFUGE.TRY PISSEDOFF
		NOWAIT PLAYER.COMBAT ON
		SOLIFUGE.TRY PISSEDOFF
		SCROLLTO PLAYER
		WAIT 48
		CENTERON PLAYER
		SOLDOOR.STAT LOCKED = 1
		SOLIFUGE.STAT AGGRESSIVE = 1
		CONTROL ON
		TOGGLE PAUSE = 1		
	END
END


OBJECT "SARDOK4"
BEGIN
	CUBE 9750,9400,0 9900,9423,144
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF
		PLAYER.GOTORELATIVEPOSITION SARDOK4 -40 80
		NOWAIT SARDOK4.TOGGLE INVISIBLE = 0
		FADECHARACTERIN SARDOK4
		NOWAIT player.PIVOTOBJECT SARDOK4
		PIVOTOBJECT player
		SAY IV3SAR00

		:Start1

			Choice HERE IV3LOC00
			Choice MADEIT IV3LOC01
			wait response

		:MADEIT
	
			LOCKE.SAY IV3LOC01
			SAY IV3SAR01

		:HERE
		
			SET MISTSTATE = 6
			LOCKE.SAY IV3LOC00
			LOCKE.SAY IV3LOC02
			SAY IV3SAR02
			SAY IV3SAR03
			LOCKE.SAY IV3LOC03
			LOCKE.SAY IV3LOC04
			SAY IV3SAR04
			SAY IV3SAR05
			SAY IV3SAR06
			SAY IV3SAR07

		FADECHARACTEROUT SARDOK4
		WAIT 24
		SARDOK4.POS 9800 8940 64
		SARDOK4.TOGGLE INVISIBLE = 1
		CONTROL ON
		WAIT 1
		SETCDVOLUME FULL
		WAIT 1
		TOGGLE PAUSE = 1		
	END
END


OBJECT "ANDRIA4"
BEGIN
	CUBE 9880,10500,0 10600,10545,144
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF
		PLAYER.GOTORELATIVEPOSITION ANDRIA4 0 140
		WAIT 48
		PLAYMOVIE "Mix_Fmv2.smk"
		WAIT 48
		NOWAIT FADECHARACTERIN ANDRIA4
		ANDRIA4.TOGGLE INVISIBLE = 0
		WAIT 48
		SAY IV4AND00
		SAY IV4AND01
		PLAYER.SAY IV4LOC00
		SAY IV4AND02
		PLAYER.SAY IV4LOC01
		SAY IV4AND03
		SAY IV4AND04
		NOWAIT FADECHARACTEROUT ANDRIA4
		PLAYER.SAY IV4LOC02
		PLAYER.SAY IV4LOC03
		PLAYER.ADDINV "SACRIFICIAL DAGGER"
		ANDRIA4.POS 10352 10832 217
		CONTROL ON
		WAIT 1
		SETCDVOLUME FULL
		WAIT 1
		TOGGLE PAUSE = 1		
	END
END


OBJECT "LV37EX"
BEGIN
	CUBE player 9765,9000,0 9816,9040,144
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		LOCKE.POS 21920 14830 32 5
		FADESCREENIN
	END
END



OBJECT "LOCASH"
BEGIN
	CUBE player 7880,9100,700 7932,9130,800
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		LOCKE.POS 9760 16222 69 0
		FADESCREENIN
	END
END


OBJECT "CAVPRISONPOOL1"
BEGIN
	ALWAYS
	BEGIN
		WAIT 24
		IF THIS.STAT LOCKED = 0
		BEGIN
			CONTROL OFF
			PLAYER.STOP
			WAIT 24
			NOWAIT FAIRY.DELETE
			NOWAIT ADDAT 8051 9651 785 FAIRY2
			FAIRY2.MOVE 0 0 300
			WAIT 48
			SCROLLTO CAVMS4
			PLAYER.PIVOT 220
			PLAY FAIRYMUSH1
			CAVMS1.TOGGLE NOWALK = 0
			CAVMS1.TOGGLE INVISIBLE = 0
			WAIT 24
			PLAY FAIRYMUSH2
			CAVMS2.TOGGLE NOWALK = 0
			CAVMS2.TOGGLE INVISIBLE = 0
			WAIT 24
			PLAY FAIRYMUSH3
			CAVMS3.TOGGLE NOWALK = 0
			CAVMS3.TOGGLE INVISIBLE = 0
			WAIT 24
			PLAY FAIRYMUSH4
			CAVMS4.TOGGLE NOWALK = 0
			CAVMS4.TOGGLE INVISIBLE = 0
			WAIT 24
			PLAY FAIRYMUSH5
			CAVMS5.TOGGLE NOWALK = 0
			CAVMS5.TOGGLE INVISIBLE = 0
			WAIT 24
			PLAY FAIRYMUSH6
			CAVMS6.TOGGLE NOWALK = 0
			CAVMS6.TOGGLE INVISIBLE = 0
			WAIT 24
			CAVMS7.TOGGLE NOWALK = 0
			CAVMS7.TOGGLE INVISIBLE = 0
			WAIT 240
			SCROLLTO LOCKE
			CONTROL ON	
			TOGGLE PAUSE
		END
	END
END




//	CAVES EXIT TO OGROK CAMP

OBJECT "CAVEXIT"
BEGIN
	CUBE player 10530,10360,0 10575,10390,100
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		LOCKE.POS 14064 17326 66 0
		FADESCREENIN
	END
END

OBJECT "Lv30EX"
BEGIN
	CUBE player 6440,1380,0 6465,1430,144
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.pos 10520 8525 380 32
		FADESCREENIN
	END
END


OBJECT "Lv32ENT"
BEGIN
	CUBE player 10455,8445,250 10515,8500,400
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.pos 6521 1431 18 30
		FADESCREENIN
	END
END


OBJECT "Lv32ENT2"
BEGIN
	CUBE player 10710,10000,0 10755,10025,144
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.pos 5215 4785 127 32
		FADESCREENIN
	END
END


OBJECT "Lv32EX2"
BEGIN
	CUBE player 5185,4735,0 5230,4755,250
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.pos 10740 10065 116 32
		FADESCREENIN
	END
END


OBJECT "Lv39ENT"
BEGIN
	CUBE player 9810,7770,60 9868,7820,200
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.pos 9200 8120 250 32
		FADESCREENIN
	END
END


OBJECT "Lv39ENT1L"
BEGIN
	CUBE player 8510,9735,144 8550,9770,255
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.pos 19930 19602 16 39
		FADESCREENIN
	END
END


OBJECT "Lv39EX1L"
BEGIN
	CUBE player 19910,19550,0 19950,19565,144
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.pos 8535 9805 255 39
		FADESCREENIN
	END
END


OBJECT "Lv39ENT1H"
BEGIN
	CUBE player 8170,9580,400 8190,9625,509
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.pos 19200 19410 434 39
		FADESCREENIN
	END
END


OBJECT "Lv39EX1H"
BEGIN
	CUBE player 19140,19380,400 19170,19440,500
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.pos 8230 9605 509 39
		FADESCREENIN 
	END
END


OBJECT "Lv39ENT2"
BEGIN
	CUBE player 10850,7788,0 10920,7820,80
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.pos 5000 4960 16 39
		FADESCREENIN
	END
END


OBJECT "Lv39EX2"
BEGIN
	CUBE player 4975,4890,0 5010,4915,144
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.pos 10900 7850 9 39
		FADESCREENIN
	END
END


OBJECT "Lv39EX"
BEGIN
	CUBE player 10920,10265,100 10960,10300,200
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.pos 10237 9985 16 36
		FADESCREENIN
	END
END


OBJECT "Lv36ENT"
BEGIN
	CUBE player 10200,9900,0 10255,9945,144
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.pos 10935 10320 146 39
		FADESCREENIN 
	END
END


OBJECT "Lv36EX"
BEGIN
	CUBE player 5340,10011,500 5363,10098,600 
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.pos 10011 10005 16 31
		FADESCREENIN
	END
END


OBJECT "Lv31ENT"
BEGIN
	CUBE player 9955,9915,0 10255,9945,144
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.pos 5406 10062 545 36
		FADESCREENIN
	END
END


OBJECT "Lv31EX"
BEGIN
	CUBE player 60,9440,350 90,9490,500
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.pos 9957 10769 82 37
		FADESCREENIN
	END
END


OBJECT "Lv37ENT"
BEGIN
	CUBE player 9932,10744,50 9908,10806,144
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.pos 115 9460 418 31
		FADESCREENIN
	END
END


OBJECT "Lv32EX"
BEGIN
	CUBE player 9140,8090,144 9165,8135,300
	BEGIN
		FADESCREENOUT
		WAIT SCREENFADE
		player.pos 9855 7847 147 39
		FADESCREENIN
	END
END


OBJECT "Lv31Lever1"
BEGIN
	USE
	BEGIN
		CONTROL OFF
		player.STOP
		player.COMBAT OFF

		player.GOTORELATIVEPOSITION THIS 20 40
		
		IF player.ISATRELATIVEPOSITION THIS 20 40 = 1
		BEGIN
			player.FACE 0
			OPERATE player
			player.TRY "WPUSHLEVER"
		END
		
		ACTIVATE
		WAIT 48

		FADESCREENOUT
		WAIT SCREENFADE
		player.toggle invisible=1
		NOWAIT player.pos 3962 9228 19 31
		NOWAIT FADESCREENIN
		toggle pause=1		
	END
END


OBJECT "Lv31Gate1"
BEGIN
	CUBE player 3960,9226,10 3964,9230,40
	BEGIN
		stat LOCKED=0
		state "opening"
		wait 48
		FADESCREENOUT
		WAIT SCREENFADE
		nowait player.toggle invisible=0
		nowait player.pos 5016 13254 21 31
		NOWAIT CONTROL ON
		NOWAIT FADESCREENIN
		toggle pause=1
	END
END


OBJECT "Lv31Lever2"
BEGIN
	USE
	BEGIN
		CONTROL OFF
		player.STOP
		player.COMBAT OFF

		player.GOTORELATIVEPOSITION THIS 20 40
		
		IF player.ISATRELATIVEPOSITION THIS 20 40 = 1
		BEGIN
			player.FACE 0
			OPERATE player
			player.TRY "WPUSHLEVER"
		END
		
		ACTIVATE
		WAIT 48

		FADESCREENOUT
		WAIT SCREENFADE
		player.toggle invisible=1
		NOWAIT player.pos 3784 9220 19 31
		NOWAIT FADESCREENIN
		toggle pause=1	
	END
END


OBJECT "Lv31Gate2"
BEGIN
	CUBE player 3782,9218,10 3786,9222,40
	BEGIN
		stat LOCKED=0
		state "opening"
		wait 48
		FADESCREENOUT
		WAIT SCREENFADE
		nowait player.toggle invisible=0
		nowait player.pos 5791 12723 21 31
		NOWAIT CONTROL ON
		NOWAIT FADESCREENIN
		toggle pause=1
	END
END


OBJECT "Lv31Lever3"
BEGIN
	USE
	BEGIN
		CONTROL OFF
		player.STOP
		player.COMBAT OFF

		player.GOTORELATIVEPOSITION THIS 20 40
		
		IF player.ISATRELATIVEPOSITION THIS 20 40 = 1
		BEGIN
			player.FACE 0
			OPERATE player
			player.TRY "WPUSHLEVER"
		END

		ACTIVATE
		WAIT 48

		FADESCREENOUT
		WAIT SCREENFADE
		player.toggle invisible=1
		nowait player.pos 3588 9232 19 31
		NOWAIT FADESCREENIN
		toggle pause=1	
	END
END


OBJECT "Lv31Gate3"
BEGIN
	CUBE player 3586,9230,0 3590,9234,40
	BEGIN
		stat LOCKED=0
		state "opening"
		wait 48
		FADESCREENOUT
		WAIT SCREENFADE
		nowait player.toggle invisible=0
		nowait player.pos 976 11744 291 31
		NOWAIT CONTROL ON
		NOWAIT FADESCREENIN
		toggle pause=1
	END
END


OBJECT "Lv31Lever4"
BEGIN
	USE
	BEGIN
		CONTROL OFF
		player.STOP
		player.COMBAT OFF

		player.GOTORELATIVEPOSITION THIS 20 40
		
		IF player.ISATRELATIVEPOSITION THIS 20 40 = 1
		BEGIN
			player.FACE 0
			OPERATE player
			player.TRY "WPUSHLEVER"
		END

		ACTIVATE
		WAIT 48

		FADESCREENOUT
		WAIT SCREENFADE
		player.toggle invisible=1
		nowait player.pos 3410 9248 19 31
		NOWAIT FADESCREENIN
		toggle pause=1	
	END
END


OBJECT "Lv31Gate4"
BEGIN
	CUBE player 3408,9246,10 3412,9250,40
	BEGIN
		stat LOCKED=0
		state "opening"
		wait 48
		FADESCREENOUT
		WAIT SCREENFADE
		nowait player.toggle invisible=0
		nowait player.pos 920 6540 21 31
		NOWAIT CONTROL ON
		NOWAIT FADESCREENIN
		toggle pause=1
	END
END


OBJECT "Lv31Lever5"
BEGIN
	USE
	BEGIN
		CONTROL OFF
		player.STOP
		player.COMBAT OFF

		player.GOTORELATIVEPOSITION THIS 20 40
		
		IF player.ISATRELATIVEPOSITION THIS 20 40 = 1
		BEGIN
			player.FACE 0
			OPERATE player
			player.TRY "WPUSHLEVER"
		END

		ACTIVATE
		WAIT 48

		FADESCREENOUT
		WAIT SCREENFADE
		player.toggle invisible=1
		nowait player.pos 3315 9221 19 31
		NOWAIT FADESCREENIN
		toggle pause = 1	
	END
END


OBJECT "Lv31Gate5"
BEGIN
	CUBE player 3313,9219,10 3317,9223,40
	BEGIN
		stat LOCKED=0
		state "opening"
		wait 48
		FADESCREENOUT
		WAIT SCREENFADE
		nowait player.toggle invisible=0
		nowait player.pos 8077 9171 21 31
		NOWAIT CONTROL ON
		NOWAIT FADESCREENIN
		toggle pause=1
	END
END

OBJECT "flamer1"
BEGIN
	CUBE player 10570,8646,255 10646,8600,300
	BEGIN
		player.burn
		wait 60
	END
END

OBJECT "flamer2"
BEGIN
	CUBE player 10465,9867,255 10560,9776,300
	BEGIN
		player.burn
		wait 60
	END
END

OBJECT "flamer3"
BEGIN
	CUBE player 9810,9934,250 9884,9920,300
	BEGIN
		player.burn
		wait 60
	END
END

OBJECT "flamer4"
BEGIN
	CUBE player 9173,8997,640 9353,9053,700
	BEGIN
		player.burn
		wait 60
	END
END

OBJECT "flameon"
begin
	CUBE player 10077,4899,0 10117,4905,144
	BEGIN
		player.burn
		wait 60
	END
	CUBE player 10182,4672,0 10148,4736,144
	BEGIN
		player.burn
		wait 60
	END
	CUBE player 10185,4691,0 10273,4711,144
	BEGIN
		player.burn
		wait 60
	END
	CUBE player 10209,4965,0 10293,4979,144
	BEGIN
		player.burn
		wait 60
	END
	CUBE player 10368,4822,0 10360,4868,144
	BEGIN
		player.burn
		wait 60
	END
	CUBE player 10462,4624,0 10457,4695,144
	BEGIN
		player.burn
		wait 60
	END
	CUBE player 10645,4795,0 10631,4869,144
	BEGIN
		player.burn
		wait 60
	END
end

OBJECT "Flameon2"
BEGIN
	CUBE player 6012,13108,10 6071,13155,25
	BEGIN
		player.burn
		wait 60
	END
	CUBE player 6041,13389,10 6195,13435,25
	BEGIN
		player.burn
		wait 60
	END
	CUBE player 5921,13385,10 5948,13436,25
	BEGIN
		player.burn
		wait 60
	END
	CUBE player 5778,13214,10 5826,13302,25
	BEGIN
		player.burn
		wait 60
	END
	CUBE player 5613,13219,10 5667,13243,25
	BEGIN
		player.burn
		wait 60
	END
	CUBE player 5495,13383,10 5571,13485,25
	BEGIN
		player.burn
		wait 60
	END
END


OBJECT "Olihoot2"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF
		player.GOTORELATIVEPOSITION Olihoot2 0 40
		NOWAIT PIVOTOBJECT player
		player.PIVOTOBJECT Olihoot2
		SAY III10OLI00
		SAY III10OLI01
		
			:Start

			Choice Caves III10LOC00
			Choice Job III10LOC01
			wait response
	
			:Caves

			player.say III10LOC00
			say III10OLI04
			say III10OLI05
			say III10OLI06
			say III10OLI07
			Jump Start2
	
			:Job
		
			player.say III10LOC01
			say III10OLI02
			say III10OLI03
			Jump WITHME
	
			:Start2

			Choice Withme III10LOC02
			Choice History III10LOC03
			wait response

			:History
	
			player.say III10LOC03
			say III10OLI08
			player.say III10LOC04
			player.say III10LOC05
			
			:Withme

			player.say III10LOC02
			say III10OLI09
			player.say III10LOC06
			say III10OLI10
			player.say III10LOC07
			say III10OLI11
			say III10OLI12
			say III10OLI13
			player.say III10LOC08
			say III10OLI14
			say III10OLI15
			player.ADDINV Sun
			say III10OLI16
			say III10OLI17
			GOTORELATIVEPOSITION LV30WAY00 0 0
			GOTORELATIVEPOSITION LV30WAY01 0 0
			FADECHARACTEROUT OLIHOOT2
			WAIT 24
			POS 10000 10000 0
			CONTROL ON
			WAIT 1
			SETCDVOLUME FULL
			WAIT 1
	END
END




OBJECT "SpiritGuardian"
BEGIN
	CUBE player 9650,9862,100 9959,10067,175
	BEGIN
		control off
		player.stop
		player.COMBAT OFF
		//Play FMV
		wait 100
		toggle invisible=0
		pivotobject player
		player.pivotobject SpiritGuardian
		wait 30
		say IV4AND00
		say IV4AND01
		player.say IV4LOC00
		say IV4AND02
		player.say IV4LOC01
		say IV4AND03
		say IV4AND04
		nowait FADECHARACTEROUT SpiritGuardian
		player.say IV4LOC02
		wait 30
		player.say IV4LOC03
		control on
		toggle pause=1
	END
END

		


